IF NOT EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'syn_puntoIntegracion_estadoTipoDocumento' AND COLUMN_NAME = 'idRolEstado')
BEGIN
	ALTER TABLE [syn_puntoIntegracion_estadoTipoDocumento]
	ADD [idRolEstado] INT NULL
END
GO

if not exists (select 1 from _columnas where tabla = 'syn_puntoIntegracion_estadoTipoDocumento' and columna = 'idRolEstado')
begin  
INSERT INTO [dbo].[_columnas]
           ([tabla]
           ,[columna]
           ,[mostrarEnGrilla]
           ,[ordenGrilla]
           ,[requerido]
           ,[tipo]
           ,[defecto]
           ,[tamano]
		   ,[id_seccionAtributo]
           ,[mostrarEnAPI]
           ,[dependiente])
     VALUES
           ('syn_puntoIntegracion_estadoTipoDocumento'
           ,'idRolEstado'
           ,1
           ,1
           ,1
           ,'int'
           ,NULL
           ,NULL
		   ,0
		   ,0
		   ,NULL)
end
GO
